package com.jiayue.cppclient.util;

import cn.hutool.crypto.SecureUtil;

/**
 * @author jy
 * @since 2024/12/09
 */
public class Md5KeyForCppUtil {
    private final static String md5KeyForCpp = "cpp_xsl&t20241212";

    /**
     * 下载文件md5key
     * @param stationCode
     * @param forecastDay
     * @return
     */
    public static String downloadFileMd5Key(String stationCode, String forecastDay) {
        String signOrg = stationCode + forecastDay + md5KeyForCpp;
        return SecureUtil.md5(signOrg);
    }

    /**
     * 回传文件md5key
     * @return
     */
    public static String callbackFileMd5Key(String stationCode, String fileName,String type,String status) {
        String signOrg = stationCode + fileName + type+status+md5KeyForCpp;
        return SecureUtil.md5(signOrg);
    }

    public static void main(String[] args) {
        String md5Key = downloadFileMd5Key("T00001", "20241210");
        System.out.println(md5Key);
    }
}
