package com.jiayue.cppclient.job;

import cn.hutool.core.date.DateUtil;
import cn.hutool.http.HttpUtil;
import com.jiayue.cppclient.util.Md5KeyForCppUtil;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * @author jy
 * @since 2024/12/10
 */
public class Test {
    public static void main(String[] args) {
        String forecastDay = DateUtil.format(new Date(),"yyyyMMdd");
        String stationCode = "T00001";
        Map postParms = new HashMap<>(3);
        postParms.put("stationCode", stationCode);
        postParms.put("forecastDay", forecastDay);
        postParms.put("signStr", Md5KeyForCppUtil.downloadFileMd5Key(stationCode,forecastDay));
        String body = HttpUtil.post("http://cloud.jiayuepowertech.com/admin-api/cemp/v3/getCppForecastFileInfo", postParms, 10000);
        System.out.println(body);
    }
}
